OGRE-Next: Ogre::D3D11VaoManager::StrideChanger Struct Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Ogre::D3D11VaoManager::StrideChanger Struct Reference

`#include <OgreD3D11VaoManager.h>`

## Public Member Functions
| StrideChanger ()
| StrideChanger (size_t _offsetAfterPadding, size_t _paddedBytes)
bool | operator() (const StrideChanger &left, const StrideChanger &right) const
bool | operator() (const StrideChanger &left, size_t right) const
bool | operator() (size_t left, const StrideChanger &right) const

## Public Attributes
size_t | offsetAfterPadding
size_t | paddedBytes

## Constructor & Destructor Documentation

## ◆ StrideChanger() [1/2]

Ogre::D3D11VaoManager::StrideChanger::StrideChanger | ( |  | ) |
| inline

References offsetAfterPadding, and paddedBytes.

Referenced by operator()(), operator()(), and operator()().

## ◆ StrideChanger() [2/2]

Ogre::D3D11VaoManager::StrideChanger::StrideChanger | ( | size_t | _offsetAfterPadding,
|  | size_t | _paddedBytes )
| inline

References offsetAfterPadding, and paddedBytes.

## Member Function Documentation

## ◆ operator()() [1/3]

bool Ogre::D3D11VaoManager::StrideChanger::operator() | ( | const StrideChanger & | left,
|  | const StrideChanger & | right ) const
| inline

References StrideChanger(), and offsetAfterPadding.

## ◆ operator()() [2/3]

bool Ogre::D3D11VaoManager::StrideChanger::operator() | ( | const StrideChanger & | left,
|  | size_t | right ) const
| inline

References StrideChanger(), and offsetAfterPadding.

## ◆ operator()() [3/3]

bool Ogre::D3D11VaoManager::StrideChanger::operator() | ( | size_t | left,
|  | const StrideChanger & | right ) const
| inline

References StrideChanger(), and offsetAfterPadding.

## Member Data Documentation

## ◆ offsetAfterPadding

size_t Ogre::D3D11VaoManager::StrideChanger::offsetAfterPadding

Referenced by StrideChanger(), StrideChanger(), operator()(), operator()(), and operator()().

## ◆ paddedBytes

size_t Ogre::D3D11VaoManager::StrideChanger::paddedBytes

Referenced by StrideChanger(), and StrideChanger().

The documentation for this struct was generated from the following file:

- OgreD3D11VaoManager.h